--战斗结束触发——蝙蝠蝎子结束脚本
--global.CallScript(7202)

function m011_2()

	--开始剧情 
	func_start(6847,7232,0,1)

	local	i
	
	--播放音乐 cj03
	global.PlayMusic(63,100,3000)		
	
	for i=1,20,1
		do
		npc.Destroy(i)
		end
	
	--建立npc  
	--夏侯澜辉
	npc.Create(1,1,4647,3227)
	npc.SetAt(1,-1,-1)
	--瑕	
	npc.Create(2,2,4670,3213)
	npc.SetAt(2,-1,-1)	
	--姜承 
	npc.Create(3,3,4623,3255)
	npc.SetAt(3,1,1)	
	npc.SetAnim(3,101)
	npc_weapon(3,3)	
	--暮菖兰 
	npc.Create(4,4,4684,3245)
	npc.SetAt(4,1,1)	
	npc.SetAnim(4,101)
	npc_weapon(4,4)	
	--皇甫卓 
	npc.Create(6,6,4657,3268)
	npc.SetAt(6,1,1)	
	npc.SetAnim(6,101)
	npc_weapon(6,6)	
	--龙溟 
	npc.Create(7,7,4625,3180)
	npc.SetAt(7,-1,-1)
	npc.SetAnim(7,101)
	npc_weapon(7,7)	
	--凌波 
	npc.Create(8,8,4660,3170)
	npc.SetAt(8,-1,-1)
	npc.SetAnim(8,101)
	npc_weapon(8,8)	
	--蝙蝠 
	npc.Create(246,11,4680,3310)
	npc.Create(246,12,4645,3313)
	npc.Create(246,13,4710,3310)
	npc.Create(246,14,4655,3335)
	npc.Create(246,15,4693,3347)
	npc.SetAt(11,-1,-1)
	npc.SetAt(12,-1,-1)
	npc.SetAt(13,-1,-1)
	npc.SetAt(14,-1,-1)
	npc.SetAt(15,-1,-1)
	--蝎子
	npc.Create(245,16,4603,3130)
	npc.Create(245,17,4643,3122)
	npc.SetAtPos(16,4630,3178)	
	npc.SetAtPos(17,4630,3178)	
	
	
	--镜头1 
	-- 远镜、俯视 
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(4559,90,3046,4602,47,3125)		
	--淡入 
	effect.FadeIn(1,1)
	--拉镜头 
	camera.ResetLerp(4000)		
	camera.ChangeCameraStatic(4510,131,2974,4557,84,3049)			
	global.Wait(1)
	--怪物死亡  
	for	i= 11,17,1
		do
		npc.SetAnim(i,28)
		end
	global.Wait(2)
	--淡出黑屏  
	effect.FadeOut(1,1)
	global.WaitForCameraLerp()
	
	
	for	i=1,8,1
		do
		npc_weapon(i,0)
		end	
	
	
	--清理npc 
	for	i=11,17,1
		do
		npc.Destroy(i)
		end 
		
		
	
	

	
	
	--镜头2 
	--npc位置  
	--夏侯澜辉
	npc.SetPos(1,4619,3100)
	npc.SetAt(1,0,-1)
	npc.SetAnim(1,200)
	--瑕	
	npc.SetPos(2,4588,3094)
	npc.SetAt(2,0,-1)	
	npc.SetAnim(2,209)
	--姜承 
	npc.SetPos(3,4635,3128)
	npc.SetAt(3,0,-1)	
	npc.SetAnim(3,200)	
	--暮菖兰 
	npc.SetPos(4,4594,3121)
	npc.SetAt(4,0,-1)	
	npc.SetAnim(4,200)	
	--皇甫卓 
	npc.SetPos(6,4645,3097)
	npc.SetAt(6,0,-1)		
	npc.SetAnim(6,200)	
	--龙溟 
	npc.SetPos(7,4633,3053)
	npc.SetAt(7,0,1)	
	npc.SetAnim(7,200)	
	--凌波 
	npc.SetPos(8,4611,3053)	
	npc.SetAt(8,0,1)	
	npc.SetAnim(8,200)	
	-- 全镜 
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(4533,88,2960,4566,44,3043)	
	camera.ResetLerp(10000)		
	camera.ChangeCameraStatic(4500,66,3035,4576,27,3087)		
	--淡入 
	effect.FadeIn(1,1)
	global.Wait(1)
 
	ui.Dialog(78315,153,0,8,0,0) 	--能够一次驱使这么多的妖兽，这楼兰王的能力看来非同一般，大家还是小心为上。
	
	-- 龙溟、凌波离开 
	npc.MoveTo(7,4377,3011)
	npc.MoveTo(8,4377,3011)
	global.Wait(0.5)
	-- 皇甫卓、姜承离开 
	npc.SetPatrolType(6,10)
	npc.AddPatrolPoint(6,4645,3097,0)
	npc.AddPatrolPoint(6,4611,3053,0)
	npc.AddPatrolPoint(6,4377,3011,0)
	npc.SetPatrolType(3,10)
	npc.AddPatrolPoint(3,4635,3128,0)
	npc.AddPatrolPoint(3,4645,3097,0)
	npc.AddPatrolPoint(3,4611,3053,0)	
	npc.AddPatrolPoint(3,4377,3011,0)	
	global.Wait(3)
	--夏侯、暮菖兰离开  
	npc.MoveTo(4,4377,3011)
	npc.MoveTo(1,4573,3063,1)
	--夏侯、暮菖兰停下 
	npc.Stop(4)
	global.Wait(1)
	npc.TurnToNpc(1,2,1)
	npc.TurnToNpc(4,2,1)
	global.Wait(0.5)
	
	
	
	--镜头3
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(4592,38,3060,4581,29,3159	)	
	global.Wait(1)
	
	ui.Dialog(78316,503,0,2,0,0) 	--担心--……原来人死了后灵魂还是可以被唤醒的啊……那是不是就不算真的死了呢……

	--拉镜头 
	camera.ResetLerp(10000)		
	camera.ChangeCameraStatic(4595,61,3016,4573,26,3106)		
	--暮菖兰走过来  
	npc.MoveTo(4,4561,3096,1)
	global.Wait(0.5)
	
	ui.Dialog(78317,163,2,4,0,0) 	--笑--妹子？你在想什么？

	--瑕摆手  
	-- npc.SetAnim(2,200)
	npc.TurnToNpc(2,4,1)
	npc.SetAnim(2,206,2)
	global.Wait(1)

	ui.Dialog(78318,185,0,2,0,0) --啊？！没、没什么，我只是担心那个楼兰王会不会很厉害啊。
	ui.Dialog(78319,160,2,4,0,0) 	--笑--呵呵，之前也不是没碰到过妖怪，不都栽我们手里了吗？咱们这么多活人，难道还怕一个死人不成。
	ui.Dialog(78320,521,2,1,0,0) 	--是啊，暮姑娘所言不差，瑕姑娘不必担心。

	-- 瑕沉默 
	npc.SetAnim(2,209)
	global.Wait(0.5)
	
	ui.Dialog(78321,503,0,2,0,0) 	--……

	--夏侯走上前一步 
	npc.MoveTo(1,4579,3074,1)
	global.Wait(0.5)
	
	ui.Dialog(78322,523,2,1,0,0) 	--疑惑 --瑕姑娘？

	--瑕转向夏侯 
	npc.TurnToNpc(2,1,1)

	ui.Dialog(78323,185,0,2,0,0) --微惊 	--什么？
	ui.Dialog(78324,183,0,2,0,0) 	--慌乱 --我、我没事了，走吧。
	ui.Dialog(78325,526,2,1,0,0)--……
	global.Wait(1)
	ui.Dialog(78326,526,2,1,0,0) 	--瑕姑娘放心，若是有什么万一，我拼死也会保你周全。
	
	--瑕吃惊 
	npc.SetAnim(2,243,2)
	global.Wait(1)

	ui.Dialog(78327,184,0,2,0,0) 	--脸红 --咦？
 
	--暮菖兰笑 
	npc.SetAnim(4,232,2)
	global.Wait(1)

	ui.Dialog(78328,710,2,4,0,0)	--呵呵。

	--瑕争吵 
	npc.SetAnim(2,245)

	ui.Dialog(78329,184,0,2,0,0) 	--脸红 --你、你别开玩笑了！
	ui.Dialog(78330,195,0,2,0,0) 	--脸红 --就你这身子，前天还昏倒了呢，要保护也是我保护你。

	--夏侯说话
	npc.SetAnim(1,217,2)
	global.Wait(1)

	ui.Dialog(78331,524,2,1,0,0) 	--这——但——
	ui.Dialog(78332,184,0,2,0,0) 	--好了，快走吧。不然跟不上他们了。
	
	--镜头拉远  
	camera.ResetLerp(8000)		
	camera.ChangeCameraStatic(4653,65,2949,4602,39,3031)	
	--暮菖兰笑 
	npc.SetAnim(4,232)
	global.Wait(1)
	--瑕跑步离开 
	npc.RunTo(2,4358,2969)
	global.WaitForNpcAnim(4,232)	
	-- 暮菖兰离开 
	npc.MoveTo(4,4358,2969)
	-- 夏侯挠头 
	npc.SetAnim(1,225,1)
	-- 夏侯跑
	npc.RunTo(1,4358,2969)
	
	

	
	
	
	--清理npc 恢复转头 
	effect.FadeOut(1,1)
	global.Wait(1)
		
		
	for	i=1,10,1
		do 
		npc.SetHeadRot(i,0,0)
		end
		
	player.LockPlace(p_id(1),0)
	player.LockPlace(p_id(2),0)
	player.LockPlace(p_id(3),0)
	player.LockPlace(p_id(4),0)
	player.LockPlace(p_id(6),0)
	player.LockPlace(p_id(7),0)
	player.LockPlace(p_id(8),0)
	
	global.Wait(0.5)

	for i=1,20,1
		do
		npc.Destroy(i)
		end	
		
	player.AddMagic(3035)
	ui.Message(170702)--瑕习得被动绝技：瑕
	flag.SetValue(33034,2)--标记学会瑕

		
	--龙溟 神秘来信	第二阶段
	if flag.GetValue(8010)==2 then
		player.AddItem(332,1,0)
		ui.Message(78333)	--收到一封神秘的信
	end				
		
		
		
	player.SetAt(0,-1)
	
	func_end(4630,3145,1,1)			



	
	


end
